Bug 199825 - Fault to add static routes from routes-ethXXX file
Fault to add static routes from routes-ethXXX file
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: initscripts (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-22 14:08 EDT by Andy Shevchenko
Modified: 2014-03-16 23:00 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-24 10:54:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fix described issue (593 bytes, patch)
2006-07-22 14:08 EDT, Andy Shevchenko
no flags Details | Diff

  None (edit)
Description Andy Shevchenko 2006-07-22 14:08:47 EDT
Description of problem:
I have ethernet interface with aliases such as eth0 and eth0:0.
Additionally I wrote static routes in new format to route-eth0 and route-eth0:0
correspondenly.
But in default ifup-routes the device name is passed as is. This behaviour is
not accepted by /sbin/ip.

Version-Release number of selected component (if applicable):
Last official RHEL3as update, but I guess the all distributions shipped by
Fedora also affected.

How reproducible:
Try to setup eth device with alias like following:

-> ifcfg-eth0

DEVICE=eth0
IPADDR=192.168.1.1
NETMASK=255.255.255.0
NETWORK=192.168.1.0
BROADCAST=192.168.1.255
ONBOOT=yes

-> ifcfg-eth0:0

DEVICE=eth0:0
IPADDR=192.168.237.153
NETMASK=255.255.255.248
NETWORK=192.168.237.152
BROADCAST=192.168.237.159
ONBOOT=yes

-> route-eth0
ADDRESS0=192.168.2.0
NETMASK0=255.255.255.0
GATEWAY0=192.168.1.2

-> route-eth0:0
ADDRESS0=192.168.200.0
NETMASK0=255.255.255.0
GATEWAY0=192.168.237.154

Additional info:
Please review attached patch.
Comment 1 Andy Shevchenko 2006-07-22 14:08:47 EDT
Created attachment 132867 [details]
Fix described issue
Comment 2 Bill Nottingham 2006-07-24 10:54:42 EDT
Added to CVS in the development tree; this fix will be in RHEL 5.

Red Hat does not currently plan to provide a resolution for this in a Red Hat
Enterprise Linux update for currently deployed systems.

With the goal of minimizing risk of change for deployed systems, and in response
to customer and partner requirements, Red Hat takes a conservative approach when
evaluating changes for inclusion in maintenance updates for currently deployed
products. The primary objectives of update releases are to enable new hardware
platform support and to resolve critical defects. 


Note You need to log in before you can comment on or make changes to this bug.